<template>
  <div class="home">

    <div class="row mt-5 text-center">
      <div class="col mx-auto">
        <b-button @click="login" variant="outline-secondary">
          <div style="font-size: 14px"><b>Connexion</b></div>
        </b-button>
      </div>
      <div class="col mx-auto">
        <b-button @click="register" variant="outline-secondary">
          <div style="font-size: 14px"><b>Inscription</b></div>
        </b-button>
      </div>
    </div>

    <hr class="mx-4 my-4" />

    <component v-bind:is="componentName"></component>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import LoginComponent from "@/components/AccountComponents/LoginComponent.vue";
import RegisterComponent from "@/components/AccountComponents/RegisterComponent.vue";

export default Vue.extend({
  name: "LoginView",
  components: {
    LoginComponent,
    RegisterComponent,
  },

  data: () => ({
    componentName: "LoginComponent",
  }),

  methods: {
    login() {
      this.componentName = "LoginComponent";
    },
    register() {
      this.componentName = "RegisterComponent";
    },
  },
});
</script>

<style>
.home {
  background-color: #fdfdfd;
}
</style>
